# we don't want to provide private python extension libs
%global __provides_exclude_from	^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so)$

Name:		python-iptables
Version:	1.0.1
Release:	%mkrel 4
Summary:	Python library for manipulating iptables
License:	Apache Software License
Group:		Development/Python
URL:		https://github.com/ldx/python-iptables
Source0:	https://pypi.io/packages/source/p/python-iptables/%{name}-%{version}.tar.gz

%description
python-iptables is a library for doing iptables manipulations from python.

%package -n	python3-iptables
Summary:	Python 3 library for manipulating iptables
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-iptables}

%description -n	python3-iptables
python3-iptables is a library for doing iptables manipulations from python 3.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files iptc libxtwrapper

%files -n python3-iptables -f %{pyproject_files}
%doc NOTICE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-4.mga10
+ Revision: 2238367
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.0.1-3.mga10
+ Revision: 2155126
- rebuild for python3.13

* Fri Feb 23 2024 daviddavid <daviddavid> 1.0.1-2.mga10
+ Revision: 2043610
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 1.0.1-1.mga10
+ Revision: 1986273
- fix file list
- new 1.0.1

* Sat Mar 19 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1799310
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.0.0-3.mga9
+ Revision: 1784337
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.0.0-2.mga9
+ Revision: 1717337
- rebuild for python 3.9

* Wed Jul 15 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1606293
- new version: 1.0.0

* Sun Feb 16 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1533058
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.13.0-2.mga8
+ Revision: 1443292
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 wally <wally> 0.13.0-1.mga7
+ Revision: 1355597
- new version 0.13.0

* Tue Jan 08 2019 tv <tv> 0.12.0-5.mga7
+ Revision: 1351681
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.12.0-4.mga7
+ Revision: 1300500
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 0.12.0-3.mga7
+ Revision: 1210846
- Renamed python-iptables to python2-iptables

* Fri Aug 04 2017 philippem <philippem> 0.12.0-2.mga7
+ Revision: 1134881
- rebuild for Python 3.6

* Wed Jul 19 2017 daviddavid <daviddavid> 0.12.0-1.mga7
+ Revision: 1125128
- new version: 0.12.0

* Thu May 26 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1018826
- new version: 0.11.0
- update for new pypi Source URL

* Fri Jan 29 2016 daviddavid <daviddavid> 0.10.0-1.mga6
+ Revision: 928983
- new version: 0.10.0
- update URL and Source URL
- add python3 package
- use new python macros

* Sat Sep 27 2014 tv <tv> 0.1.1-0.23052012.3.mga6
+ Revision: 728764
- rebuild for missing pythoneggs deps

* Sat Oct 26 2013 philippem <philippem> 0.1.1-0.23052012.2.mga5
+ Revision: 547211
- Mageia 4 Mass Rebuild

* Sun Jun 03 2012 juancho <juancho> 0.1.1-0.23052012.1.mga3
+ Revision: 253812
- Updated to latest git version for next 0.1.1 release

* Sun Mar 18 2012 juancho <juancho> 0.1.0-1.mga3
+ Revision: 223782
- imported package python-iptables


* Wed Aug 03 2011 Chris Lalancette <clalance@redhat.com> - 0.1.0-2
- Add the license file as doc

* Wed Jul 27 2011 Chris Lalancette <clalance@redhat.com> - 0.1.0-1
- Initial build.
